#pragma once

class BitBoard;

class GTBWrapper
{
protected:
	const char **paths;
	int tbMen;				// 0 if none/3,4 or 5
public:
	GTBWrapper();
	~GTBWrapper();
	bool init( const char *path, int cache = 8 * 1024*1024 );
	int probe( const BitBoard &bb, int ply = 0 );
	int numMen() const;
};